function love.load()
	love.graphics.setMode(640,480,false,false,0)
	cubeX=320
	cubeY=240
	cubeSize=50
	cubeRotSpeed=25
	cubeDir=0
	cubeD=25
	cubeDepth=0
	drawShade=255
	extraRot=180*math.pi/180
end

function love.draw()
	--PreConditioning Start
	pointAX=cubeX+(math.cos((0+cubeDir)*math.pi/180)*cubeSize)
	pointAY=cubeY-((math.sin((0+cubeDir)*math.pi/180)*cubeSize))*math.sin(extraRot)
	pointBX=cubeX+(math.cos((90+cubeDir)*math.pi/180)*cubeSize)
	pointBY=cubeY-(math.sin((90+cubeDir)*math.pi/180)*cubeSize)*math.sin(extraRot)
	pointCX=cubeX+(math.cos((180+cubeDir)*math.pi/180)*cubeSize)
	pointCY=cubeY-(math.sin((180+cubeDir)*math.pi/180)*cubeSize)*math.sin(extraRot)
	pointDX=cubeX+(math.cos((270+cubeDir)*math.pi/180)*cubeSize)
	pointDY=cubeY-(math.sin((270+cubeDir)*math.pi/180)*cubeSize)*math.sin(extraRot)
	cubeDepth=cubeD*math.cos(extraRot)
	--PreConditioning End

	--Base Section Drawing Start
	pointAAX=cubeX+(math.cos((0+cubeDir)*math.pi/180)*cubeSize)
	pointAAY=cubeY-((math.sin((0+cubeDir)*math.pi/180)*cubeSize))*math.sin(extraRot)+cubeDepth
	pointBBX=cubeX+(math.cos((90+cubeDir)*math.pi/180)*cubeSize)
	pointBBY=cubeY-((math.sin((90+cubeDir)*math.pi/180)*cubeSize))*math.sin(extraRot)+cubeDepth
	pointCCX=cubeX+(math.cos((180+cubeDir)*math.pi/180)*cubeSize)
	pointCCY=cubeY-((math.sin((180+cubeDir)*math.pi/180)*cubeSize))*math.sin(extraRot)+cubeDepth
	pointDDX=cubeX+(math.cos((270+cubeDir)*math.pi/180)*cubeSize)
	pointDDY=cubeY-((math.sin((270+cubeDir)*math.pi/180)*cubeSize))*math.sin(extraRot)+cubeDepth
	
	
	--Base Section Drawing End
	
	--Section Link Drawings Start
	drawShade=130
	love.graphics.setColor(drawShade,drawShade,drawShade,255)
	love.graphics.polygon("fill",pointAAX,pointAAY,pointAX,pointAY,pointBX,pointBY,pointBBX,pointBBY)
	love.graphics.setColor(drawShade,drawShade,drawShade,255)
	love.graphics.polygon("fill",pointBBX,pointBBY,pointBX,pointBY,pointCX,pointCY,pointCCX,pointCCY)
	love.graphics.setColor(drawShade,drawShade,drawShade,255)
	love.graphics.polygon("fill",pointCCX,pointCCY,pointCX,pointCY,pointDX,pointDY,pointDDX,pointDDY)
	love.graphics.setColor(drawShade,drawShade,drawShade,255)
	love.graphics.polygon("fill",pointDDX,pointDDY,pointDX,pointDY,pointAX,pointAY,pointAAX,pointAAY)
	--Section Link Drawings End
	
	--Top Platform Drawing Start
	if (extraRot/math.pi*180<180) then
		drawShade=255
		love.graphics.setColor(drawShade,drawShade,drawShade,255)
		love.graphics.polygon("fill",pointAX,pointAY,pointBX,pointBY,pointCX,pointCY,pointDX,pointDY)
		drawShade=0
		love.graphics.setColor(drawShade,drawShade,drawShade,255)
		love.graphics.line(pointAX,pointAY,pointBX,pointBY,pointCX,pointCY,pointDX,pointDY,pointAX,pointAY)
	end
	--Top Platform Drawing End
	if (extraRot/math.pi*180>180) then
		drawShade=55
		love.graphics.setColor(drawShade,drawShade,drawShade,255)
		love.graphics.polygon("fill",pointAAX,pointAAY,pointBBX,pointBBY,pointCCX,pointCCY,pointDDX,pointDDY)
		drawShade=0
		love.graphics.setColor(drawShade,drawShade,drawShade,255)
		love.graphics.line(pointAAX,pointAAY,pointBBX,pointBBY)
		love.graphics.line(pointBBX,pointBBY,pointCCX,pointCCY)
		love.graphics.line(pointCCX,pointCCY,pointDDX,pointDDY)
		love.graphics.line(pointDDX,pointDDY,pointAAX,pointAAY)
	end
end

function love.update(dt)
	if (love.keyboard.isDown("right")) then
		cubeDir=cubeDir+cubeRotSpeed*dt
	end
	if (love.keyboard.isDown("left")) then
		cubeDir=cubeDir-cubeRotSpeed*dt
	end
	if (love.keyboard.isDown("up")) then
		extraRot=extraRot+cubeRotSpeed/5*dt
	end
	if (love.keyboard.isDown("down")) then
		extraRot=extraRot-cubeRotSpeed/5*dt
	end
	
	if (cubeDir>360) then
		cubeDir=cubeDir-360
	end
	if (extraRot/math.pi*180>360) then
		extraRot=extraRot-360*math.pi/180
	end
	if (extraRot/math.pi*180<0) then
		extraRot=extraRot+360*math.pi/180
	end
end